# Class UnitConfiguration

Namespace
  adas_core.Domain.Models.MongoModels

Assembly
  adas-core.Domain.dll

Represents the configuration settings for a unit.

    public class UnitConfiguration

Inheritance
  object
  UnitConfiguration

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Properties

### AutoAdt

    public bool AutoAdt { get; set; }

#### Property Value

bool

### ManualAdmit

    public bool ManualAdmit { get; set; }

#### Property Value

bool

### ManualDischarge

    public bool ManualDischarge { get; set; }

#### Property Value

bool

### ManualEdit

    public bool ManualEdit { get; set; }

#### Property Value

bool

### ManualMove

    public bool ManualMove { get; set; }

#### Property Value

bool

### PlanDisplayConfiguration

    public ObjectId? PlanDisplayConfiguration { get; set; }

#### Property Value

ObjectId?

### SmartDisplayConfiguration

    public ObjectId? SmartDisplayConfiguration { get; set; }

#### Property Value

ObjectId?

### StandarDisplayConfiguration

    public ObjectId? StandarDisplayConfiguration { get; set; }

#### Property Value

ObjectId?